calendar(q) 1999:1
allocate 2013:4
clear all

compute startdate = 1999:1
compute endshort  = 2007:2
compute endfull   = 2013:4

open "\san\rds\Derived\cei\SPF\ECB\JAE\output\results\urate_full.xlsx"
data(format=xls, org=col, missing=-999) / x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 x13 x14 x15 x16 x17 x18 x19 x20 x21 x22 x23 x24 x25 x26 x27 x28 x29 x30 x31 x32 x33 x34 x35 x36 x37

* Create squared series
set x18_2 = x18^2
set x29_2 = x29^2

set x21_2 = x21^2
set x30_2 = x30^2

set x24_2 = x24^2
set x31_2 = x31^2


**** FULL SAMPLE PERIOD
*** CORRELATION ANALYSIS
** UNEMPLOYMENT
* UNCERTAINTY
cross(qstats, from=0, to=0) x7 x18 startdate endfull
cross(qstats, from=0, to=0) x7 x21 startdate endfull
cross(qstats, from=0, to=0) x7 x24 startdate endfull
cross(qstats, from=0, to=0) x7 x29 startdate endfull
cross(qstats, from=0, to=0) x7 x30 startdate endfull
cross(qstats, from=0, to=0) x7 x31 startdate endfull
* DISAGREEMENT
cross(qstats, from=0, to=0) x7 x10 startdate endfull
cross(qstats, from=0, to=0) x7 x13 startdate endfull
cross(qstats, from=0, to=0) x7 x16 startdate endfull
cross(qstats, from=0, to=0) x7 x19 startdate endfull
cross(qstats, from=0, to=0) x7 x22 startdate endfull
cross(qstats, from=0, to=0) x7 x25 startdate endfull

** GDP
* UNCERTAINTY
cross(qstats, from=0, to=0) x6 x18 startdate endfull
cross(qstats, from=0, to=0) x6 x21 startdate endfull
cross(qstats, from=0, to=0) x6 x24 startdate endfull
cross(qstats, from=0, to=0) x6 x29 startdate endfull
cross(qstats, from=0, to=0) x6 x30 startdate endfull
cross(qstats, from=0, to=0) x6 x31 startdate endfull
* DISAGREEMENT
cross(qstats, from=0, to=0) x6 x10 startdate endfull
cross(qstats, from=0, to=0) x6 x13 startdate endfull
cross(qstats, from=0, to=0) x6 x16 startdate endfull
cross(qstats, from=0, to=0) x6 x19 startdate endfull
cross(qstats, from=0, to=0) x6 x22 startdate endfull
cross(qstats, from=0, to=0) x6 x25 startdate endfull


**** TRUNCATED SAMPLE PERIOD
*** CORRELATION ANALYSIS
** UNEMPLOYMENT
* UNCERTAINTY
cross(qstats, from=0, to=0) x7 x18 startdate endshort
cross(qstats, from=0, to=0) x7 x21 startdate endshort
cross(qstats, from=0, to=0) x7 x24 startdate endshort
cross(qstats, from=0, to=0) x7 x29 startdate endshort
cross(qstats, from=0, to=0) x7 x30 startdate endshort
cross(qstats, from=0, to=0) x7 x31 startdate endshort
* DISAGREEMENT
cross(qstats, from=0, to=0) x7 x10 startdate endshort
cross(qstats, from=0, to=0) x7 x13 startdate endshort
cross(qstats, from=0, to=0) x7 x16 startdate endshort
cross(qstats, from=0, to=0) x7 x19 startdate endshort
cross(qstats, from=0, to=0) x7 x22 startdate endshort
cross(qstats, from=0, to=0) x7 x25 startdate endshort

** GDP
* UNCERTAINTY
cross(qstats, from=0, to=0) x6 x18 startdate endshort
cross(qstats, from=0, to=0) x6 x21 startdate endshort
cross(qstats, from=0, to=0) x6 x24 startdate endshort
cross(qstats, from=0, to=0) x6 x29 startdate endshort
cross(qstats, from=0, to=0) x6 x30 startdate endshort
cross(qstats, from=0, to=0) x6 x31 startdate endshort
* DISAGREEMENT
cross(qstats, from=0, to=0) x6 x10 startdate endshort
cross(qstats, from=0, to=0) x6 x13 startdate endshort
cross(qstats, from=0, to=0) x6 x16 startdate endshort
cross(qstats, from=0, to=0) x6 x19 startdate endshort
cross(qstats, from=0, to=0) x6 x22 startdate endshort
cross(qstats, from=0, to=0) x6 x25 startdate endshort


*** Autocorrelation
* Forecast error correlation analysis
correlate(number=10) x32 startdate endfull
correlate(number=10) x33 startdate endfull
correlate(number=10) x34 startdate endfull
correlate(number=10) x35 startdate endfull
correlate(number=10) x36 startdate endfull
correlate(number=10) x37 startdate endfull

correlate(number=10) x32 startdate endshort
correlate(number=10) x33 startdate endshort
correlate(number=10) x34 startdate endshort
correlate(number=10) x35 startdate endshort
correlate(number=10) x36 startdate endshort
correlate(number=10) x37 startdate endshort


